<?php

use App\Http\Controllers\CartItemController;
use Illuminate\Support\Facades\Route;

Route::get('/cart-item',         [CartItemController::class, 'index'])->middleware('permission:cart-item,view');
Route::post('/cart-item',        [CartItemController::class, 'store'])->middleware('permission:cart-item,add');
Route::get('/cart-item/{id}',    [CartItemController::class, 'show'])->middleware('permission:cart-item,view');
Route::put('/cart-item/{id}',    [CartItemController::class, 'update'])->middleware('permission:cart-item,edit');
Route::delete('/cart-item/{id}', [CartItemController::class, 'destroy'])->middleware('permission:cart-item,delete');
